---
title: "Week 11, Sunday: Staging and Lazy Sunday"
date: 2024-10-13T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/zengirls.png" alt="Credit: Zen Girls, YouTube" >}}

Today I really only have two things to do, but I'm feeling a bit of _ennuit_, that is to say I can't
be assed to do anything today. Mostly, I spend a lot of time in my bed - it's such a delicious
sleep, compared to the hotel rooms I've been in in the last week(s). After my brunch with Quinn and
Marina, I decide to work on the two things of the day.

Firstly, I need to prepare my deployment for [[Brainserve](https://brainserve.ch/)] tomorrow. You
see, when Fred and I deployed the [[Stollen]({{< ref wk8day3.md >}})] datacenter, we connected two
waves to Zurich, and two to Lausanne. However, IPng is not in Lausanne yet. Fred and I both agreed
that this should be remedied, as there is a power commitment in the telco rack in the Brainserve
datacenter that would allow for me to host the router without costing more money. A good deal, and
I'll take it!

My default PoP kit consists of a Centec S5612X switch (8x1G RJ45, 8x1G SFP, 12x10G SFP+, 2x40G QSFP,
which I convert to 2x4x10G instead, and 8x25G SFP28); a Dell R630 VPP router with a small CPU
footprint so as to fit in 100 Watts of power, and an APU6 for out-of-band access and WiFi on the
floor. It's pretty straight forward for me to install these Dell R630s, as I typically just grab one
of the two boot disks from `/dev/md0`, stick a new one in the original server, and a second one in
the cloned server, and then boot both machines and let the raidsets rebuild. Voila, instant replica!

As I am doing this, the lights go out, which is unexpected. It turns out, my main hypervisor for the
house is very sick. It has lost all of its disks. I connect via iDRAC and notice that the PCI device
for the SAS raid controller is completely disconnected. I power it down, open the machine, to find
the HBA controller flapping around in the breeze in there ... it is supposed to have two plastic
clips (Dell likes doing everything user-serviceable without screw drivers), but they've both popped
out. In 25 years of running Dell hardware, this has never happened. The remedy is very easy though:
I simply press the HBA back into its slot and re-attach the plastic clips. Machine boots, lights go
on, and all sorts of alarms clear.

As the VPP stuff is installing, I move the MS Flight Simulator to its final spot (where it was
before Tim and I made it actually work). I'm really short one screen here (with the map and things
like the ATC response window and flight check lists), so I rummage around on Digitec and find a nice
13" 1920x1080 screen, but I also find on Aliexpress a nice 10.5" 1280x720 for half the price, so I
splurge and order both. Why not? I'm on sabbatical and have no income :)

While Brainserve is canonically located in _Lausanne_, it's actually not, and IPng is a sucker for
correctness with locations. So my POP will be called `chcri0`, from the
[[US/LOCODE](https://service.unece.org/trade/locode/ch.htm)] for _Crissier_, in the canton of
_Vaud_. It's for the same reason that the router in "Geneva" is actually in _Plan-les-Ouates_
(`chplo0`) and the one in "Lille" is actually in _Sainghin-en-M&eacute;lantois_ (`frggh0`). I put a
default configuration on the Centec switch and decide to skip the APU6 this time, as I only have two
left, and I don't have time (or, frankly, energy) to install it. Maybe later?

Once the PoP is staged, configured, and ready, it's time for dinner. Marina is making a beautiful
_Risotto_, commemorating our trip to Italy perhaps, and it has fresh truffle from the forest that
our neighbor-doggo called Maggie has found for us. The meal is simple yet elegant, with black
truffle paste in the risotto, and sliced truffle on top. The truffle has been marinating in the rice
jar for a while, so it has lost lots of its flavor into the rice (great), but in itself is not the
tastiest mushroom we've eaten (not great).

After dinner, we watch an episode of _Black Mirror_, and then I got downstairs for one more small
thing: my NLNOG presentation is in two weeks (October 22nd), and it's a different length than the
other ones, so I'll spend some time making a new copy for this conference. I send an update to the
program committee at 22:00 and considering I'll be driving to Lausanne and Geneva tomorrow, I decide
to take it easy and go to bed early.

Today was a lazy Sunday.

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-13/IMG_2073.JPG" caption="The IPng lab rack, with a bunch of Dell R630s ready to deploy. To the left, more switches, disktanks and a few Mellanox switches" >}}
  {{< gallery-photo fn="2024-10-13/flightsim.png" caption="A picture of the FlightSim in its final spot (where it was before Tim and I made it actually work); seen here my Cessna 172 Skyhawk on autopilot" >}}
  {{< gallery-photo fn="2024-10-13/IMG_2074.JPG" caption="The Brainserve kit: msw0.chcri0 (Centec) and chcri0 (Dell R630), cables, optics, etc. Ready to go!" >}}
  {{< gallery-photo fn="2024-10-13/IMG_2075.JPG" caption="The dinner tonight is the last of the truffle we got from our neighbor's dog Maggie." >}}
  {{< gallery-photo fn="2024-10-13/nlnog.png" caption="A snapshot of the 30min presentation for NLNOG next week." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
