---
title: "Week 12, Thursday: Gardening with a Roomba"
date: 2024-10-17T21:55:00+02:00
---

{{< image frame="true" width="17em" float="right" src="/img/headline/noraenpure-08.png" alt="Credit: Nora en Pure, YouTube" >}}

This morning I decided to give [[EasyVFR4](https://easyvfr4.aero/)] a go. This is a so called _Visual Flight
Rules_ application that helps work within a set of regulations that govern the conditions under
which a pilot can operate an aircraft visually without relying on instruments. The application
normally runs on iPad or Android tablet, and it has a specific plugin
[[ref](https://easyvfr4.aero/sim)] for flight simulators like MSFS. Although there is a _Live_
version (free of charge), this one does not support using a simulator. 

Seeing as I want to run this as an application on the Windows computer hosting MSFS, I choose that
route. The application is quickly installed, and as expected, when it starts it detects the
simulator sending traffic out but says I must purchase a license. Off I go, for a EUR 48,- per year
license. I install it, but it still doesn't work?! Aha, I notice what's the matter- the license
seems to be installed on the application (temporarily) running on my iPhone. I mail the support team
at EasyVFR and pretty quickly get a response: unfortunately the license I have won't work with a PC,
only with a tablet. But, the folks at EasyVFR are good sports about it, and offer to swap out the
license for the one needed to run the application on the PC. They agree with me that it's a bit
weird to allow me to continue with an iPad but require a different license for the on-PC app.
Thanks!

The application works a treat, although it's a bit chatty because it blends in real-life
aircraft information from ADS-B, even though those planes are not actually in the simulated world.
After one too many 'traffic, traffic, traffic' alerts, I simply turn that one off. But, I'm already
grateful for the extra dimension I receive, notably for
[[NOTAM](https://en.wikipedia.org/wiki/NOTAM)] alerts and restricted airspace. It's a bit more
realistic like this.

In the afternoon, Marina asks me if I'd like to do some gardening. She reminds me that we ented a
bunch of Hydrangea a while ago, and they are still in their pots, we should plant them before the
weather gets too cold. In the garden, I am treated to a bunch of late blooming flowers, which is
nice. Then, we dig a few holes for the Hortensia, and chuckle as we find that there are absolutely
zero roots growing from this stuff. I'm pretty sure they will not survive the winter like this, but
on the other hand: they're still looking perfectly reasonable so, {{< rawhtml >}}
¯\_(ツ)_/¯{{< /rawhtml >}}, I guess.

After the yard work, there's still the matter of my promise to myself to keep the basement clean. I
think I'll go for a [[DJ Roomba](https://www.youtube.com/watch?v=62KJUWAT5-8)] and there's one in
stock at the electronics store at the airport. It's been a while since I've exercised, so I bike my
way from our place to the airport. This is about 12km (or 7.5mi) and the weather is nice out. At the
aport, I park the bike somewhat willy nilly; I hadn't realized it but it's pretty hard to find a
bike parking here! I make my way through the shopping area looking for that _Inter Discount_ store,
which I find and in it, I find my desired item, at 33% off. I'm a sucker for (inter)discounts like
this!  I show Quinn and Marina my new friend, and they comment that he looks like the cleaner
version of my old friend (because we already have exactly the same i7 model running around the house
for a few years now).

Considering next week is [[Hallowe'en](https://en.wikipedia.org/wiki/Halloween)], and our house is
kind of a popular destination around those dates, we have one more errand to run: buy massive
amounts of chocolate, candy and junkfood for the kids. In previous years, we've gotten north of one
hundred kids at the door, and since we're both here this year and in the mood, we're going to make
an effort to decorate the house and have the kids of Wangen-Br&uuml;ttisellen trick or treat. By the
way, I tend to compare our "sister" town of Wangen to Eagleton in Parks and Recreation. It's always
a really bad idea to take me shopping to _Aligro_ (some form of _Costco_) when I'm hungry. We come
home with a few metric tonnes of candy, and since our freezer has been thinned out lately, also a
'little' bit of meat :)

For dinner, Marina is making _Sudderlapjes_ which is braised beef shortribs. For some reason,
although I'm pretty hungry, the meal does not really hit the spot for me. It doesn't have a lot of
taste, despite having smelled gorgeous all day as it was being prepared. Oh well, you win some you
lose some, I guess?

Quinn needs to get some stuff done before the end of the week and tails it after dinner. Marina and
I watch a few episodes of _Lillyhammer_, and finish the first season. I don't think she's really
enjoying it as much as I am :) but then I have a soft spot for the nordics.

After the TV watching, it's only 22:00 so I go downstairs. Recently, SpeedIX has turned up for
Free-iX Remote and now things are getting real. I still need to complete the propagation logic for
this project. Currently, members and peers get the same prefixes, and it's the intent of Free-IX
Remote, that members from Greece get propagated into the SpeedIX and SpeedIX prefixes are propagated
to the members. I need to write this logic, but I'm fumbling. I mess around, and eventually abort
the mission because I'm not feeling too great...

## Pictures of the Day

{{< gallery-category >}}
  {{< gallery-photo fn="2024-10-17/IMG_2135.JPG" caption="The flightsim, now with EasyVFR4 on-screen!" >}}
  {{< gallery-photo fn="2024-10-17/IMG_2136.JPG" caption="This beautiful flower surprised me in the back yard as we were gardening." >}}
  {{< gallery-photo fn="2024-10-17/IMG_2138.JPG" caption="This empty spot is where the DJ Roomba lived, before I bought him." >}}
  {{< gallery-photo fn="2024-10-17/IMG_2139.JPG" caption="I think there may be enough candy here to feed Wangen-Br&uuml;ttisellen." >}}
{{< /gallery-category >}}

{{< gallery-modal >}}
{{< gallery-script >}}
